- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QTextBlockFormat Class Reference

Search for all occurrences

## Detailed Description

Definition at line 529 of file qtextformat.h.

`#include <qtextformat.h>`

Inheritance diagram for QTextBlockFormat:
[legend]

List of all members.

## Public Member Functions
| QTextBlockFormat ()
bool | isValid () const
void | setAlignment (Qt::Alignment alignment)
Qt::Alignment | alignment () const
void | setTopMargin (qreal margin)
qreal | topMargin () const
void | setBottomMargin (qreal margin)
qreal | bottomMargin () const
void | setLeftMargin (qreal margin)
qreal | leftMargin () const
void | setRightMargin (qreal margin)
qreal | rightMargin () const
void | setTextIndent (qreal aindent)
qreal | textIndent () const
void | setIndent (int indent)
int | indent () const
void | setNonBreakableLines (bool b)
bool | nonBreakableLines () const
void | setPageBreakPolicy (PageBreakFlags flags)
PageBreakFlags | pageBreakPolicy () const
void | setTabPositions (const QList< QTextOption::Tab > &tabs)
QList< QTextOption::Tab > | tabPositions () const
## Protected Member Functions
| QTextBlockFormat (const QTextFormat &fmt)
## Friends
class | QTextFormat

## Constructor & Destructor Documentation

QTextBlockFormat | ( |  | ) |

QTextBlockFormat | ( | const QTextFormat & | fmt | ) | `[explicit, protected]`

## Member Function Documentation

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QTextFormat.

Definition at line 534 of file qtextformat.h.

    { return isBlockFormat(); }

void setAlignment | ( | Qt::Alignment | alignment | ) | `[inline]`

Search for all occurrences

Definition at line 587 of file qtextformat.h.

    { setProperty(BlockAlignment, int(aalignment)); }

Qt::Alignment alignment | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 537 of file qtextformat.h.

        { int a = intProperty(BlockAlignment); if (a == 0) a = Qt::AlignLeft; return QFlag(a); }

void setTopMargin | ( | qreal | margin | ) | `[inline]`

Search for all occurrences

Definition at line 540 of file qtextformat.h.

        { setProperty(BlockTopMargin, margin); }

qreal topMargin | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 542 of file qtextformat.h.

        { return doubleProperty(BlockTopMargin); }

void setBottomMargin | ( | qreal | margin | ) | `[inline]`

Search for all occurrences

Definition at line 545 of file qtextformat.h.

        { setProperty(BlockBottomMargin, margin); }

qreal bottomMargin | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 547 of file qtextformat.h.

        { return doubleProperty(BlockBottomMargin); }

void setLeftMargin | ( | qreal | margin | ) | `[inline]`

Search for all occurrences

Definition at line 550 of file qtextformat.h.

        { setProperty(BlockLeftMargin, margin); }

qreal leftMargin | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 552 of file qtextformat.h.

        { return doubleProperty(BlockLeftMargin); }

void setRightMargin | ( | qreal | margin | ) | `[inline]`

Search for all occurrences

Definition at line 555 of file qtextformat.h.

        { setProperty(BlockRightMargin, margin); }

qreal rightMargin | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 557 of file qtextformat.h.

        { return doubleProperty(BlockRightMargin); }

void setTextIndent | ( | qreal | aindent | ) | `[inline]`

Search for all occurrences

Definition at line 560 of file qtextformat.h.

        { setProperty(TextIndent, aindent); }

qreal textIndent | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 562 of file qtextformat.h.

        { return doubleProperty(TextIndent); }

void setIndent | ( | int | indent | ) | `[inline]`

Search for all occurrences

Definition at line 590 of file qtextformat.h.

    { setProperty(BlockIndent, aindent); }

int indent | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 566 of file qtextformat.h.

        { return intProperty(BlockIndent); }

void setNonBreakableLines | ( | bool | b | ) | `[inline]`

Search for all occurrences

Definition at line 569 of file qtextformat.h.

        { setProperty(BlockNonBreakableLines, b); }

bool nonBreakableLines | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 571 of file qtextformat.h.

        { return boolProperty(BlockNonBreakableLines); }

void setPageBreakPolicy | ( | PageBreakFlags | flags | ) | `[inline]`

Search for all occurrences

Definition at line 574 of file qtextformat.h.

        { setProperty(PageBreakPolicy, int(flags)); }

PageBreakFlags pageBreakPolicy | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 576 of file qtextformat.h.

        { return PageBreakFlags(intProperty(PageBreakPolicy)); }

void setTabPositions | ( | const QList< QTextOption::Tab > & | tabs | ) |

Search for all occurrences

QList<QTextOption::Tab> tabPositions | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QTextFormat `[friend]`

Search for all occurrences

Definition at line 584 of file qtextformat.h.

The documentation for this class was generated from the following file:

- QtGui/qtextformat.h

QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat
QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat QTextBlockFormat